package com.caimei365.manager.entity.caimei;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/3/16
 */
@Data
public class ReceiptVipInfo implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 记录Id
     */
    private Integer id;
    /**
     * 用户Id
     */
    private Integer userId;
    /**
     * Vip套餐Id
     */
    private Integer packageId;
    /**
     * 开始时间
     */
    private Date beginTime;
    /**
     * 结束时间
     */
    private Date endTime;
    /**
     * 套餐时长（月）
     */
    private Integer duration;
    /**
     * 支付金额
     */
    private Double price;
    /**
     * 支付时间
     */
    private Date payTime;
    /**
     * 购买机构名称
     */
    private String clubName;
    /**
     * 商户唯一订单请求号（订单编号#随机时间戳）
     */
    private String orderRequestNo;
}
